
#include "Main.h"
void main ( void )
{
int i = 0; // Loop Index for VEX Output Bit
int j = 0; // Loop Index for Stepper Motor Command

// Single Phase Stepper Motor Commands
int Single_Phase[4] = {0b0001, 0b0010, 0b0100, 0b1000}; 

// Dual Phase Stepper Motor Commands
int Dual_Phase[4] = {0b0011, 0b0110, 0b1100, 0b1001};

SetDigitalOutput ( 1 , 0 ) ; // Turn Coil 1 Off
SetDigitalOutput ( 2 , 0 ) ; // Turn Coil 2 Off
SetDigitalOutput ( 3 , 0 ) ; // Turn Coil 3 Off
SetDigitalOutput ( 4 , 0 ) ; // Turn Coil 4 Off

while ( 1 ) // Stepper Motor Control loop
{
 	// Loop for Stepper Motor Commands
	for ( j=0 ; j<4 ; j++ ) 
	{
		// Loop for activating each coil from the Stepper Motor 
        // using the Single Phase bit patterns
		for ( i=1 ; i<5 ; i++ ) 
		{
			// Turn Coil On or Off depending on stepper motor command
			SetDigitalOutput ( i , (Single_Phase[j]>> (i-1)) ) ; 
		}
		// Wait 7 milliseconds - works with larger six wire 
        // stepper motor and a ULN2804 IC
		Wait ( 7 ) ; 
	}
}